.menu-social {
    list-style: none;
    display: inline-flex;
    margin-left: 1px;
    position: fixed;
    z-index: 99999;
    bottom: 0;
    right: 0;
    padding-right: 10px;
}

.menu-social a {
    border-radius: 50%;
    width: 70px;
    height: 70px;
    text-align: center;
    font-size: 35px;
    margin: 8px;
    color: #ffffff;
    padding: 0;
}

.menu-social span {
    position: absolute;
    color: #ffffff;
    font-size: 14px;
    font-weight: 600;
    min-width: 380px;
    background: #006195;
    z-index: -1;
    bottom: 15px;
    padding: 5px;
    border-radius: 20px 0px 0px 20px;
    margin-left: -365px;
    border: 2px solid #ffffff;
}

.menu-social img {
    width: 70px;
    border-radius: 50%;
    border: 2px solid #013ca0;
}

.image-wsp {
    width: 40px !important;
}

.wsp-share {
    right: auto;
    left: 20px;
    bottom: 0;
}

.share-button p {
    margin: 0;
    margin-left: 5px;
}

.share-button button {
    width: 100%;
    font-size: 16px;
    height: auto;
    padding: 5px 30px;
    background: #fff;
    border: 1px solid #282828 !important;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mb-10 {
    margin-bottom: 10px;
}

.cart-button {
    position: fixed;
    bottom: 110px;
    right: 25px;
    z-index: 2;
    background: #fff;
    box-shadow: 0 0 10px 2px #505050e3;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    background-color: #dc9f5c;
    cursor: pointer;
    animation: shadowPulse 2s infinite;
}

.cart-button .fa {
    color: #191919;
}

.icon-h .dropdown-item {
    color: #fff;
}

.icon-h .dropdown-item:focus, .icon-h .dropdown-item:hover {
    color: #ffffff;
    text-decoration: none;
    background-color: #fff0;
}

@keyframes shadowPulse {
    0% {
      box-shadow: 0 0 5px rgba(0, 0, 0, 0.7);
    }
    50% {
      box-shadow: 0 0 20px #000000;
      border: 1px solid #000000;
    }
    100% {
      box-shadow: 0 0 5px rgba(0, 0, 0, 0.7);
    }
}

@media (max-width: 768px) {
    .share-button button {
        font-size: 13px;
        padding: 5px 10px;
    }

    .cart-button {
        bottom: 137px;
        right: 12px;
    }

    .share-button {
        bottom: 90px;
        position: fixed;
        right: 10px;
    }

    .menu-social {
        bottom: 0;
        padding-right: 0;
    }

    .menu-social a {
        width: 60px;
        height: 60px;
    }

    .menu-social span {
        font-size: 12px;
        font-weight: 600;
        min-width: 100%;
        bottom: 12px;
        right: 55px;
        padding-right: 18px;
    }

    .image-wsp {
        width: 30px !important;
    }

    .menu-social img {
        width: 60px;
    }
}